---
lang: en
title: 'API docs: openapi-v3.oasenhancerservice.getenhancerbyname'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/openapi-v3
permalink: /doc/en/lb4/apidocs.openapi-v3.oasenhancerservice.getenhancerbyname.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [OASEnhancerService](./openapi-v3.oasenhancerservice.md) &gt; [getEnhancerByName](./openapi-v3.oasenhancerservice.getenhancerbyname.md)

## OASEnhancerService.getEnhancerByName() method

Find an enhancer by its name

<b>Signature:</b>

```typescript
getEnhancerByName(name: string): Promise<OASEnhancer | undefined>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  name | <code>string</code> |  |

<b>Returns:</b>

`Promise<OASEnhancer | undefined>`


